package com.io.yutian.gemsystem.util;

import org.bukkit.Material;
import org.bukkit.entity.Item;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;

public class PlayerInventoryUtil {

    public static boolean hasFreeSlot(Player player) {
        return getFreeSize(player) > 0;
    }

    public static int getFreeSize(Player player) {
        int index = -1;
        int freesize = 0;
        while (index < 35) {
            index++;
            ItemStack i = player.getInventory().getItem(index);
            if (i == null) {
                freesize++;
                continue;
            }
            if (i.getType().equals(Material.AIR)) {
                freesize++;
            }
        }
        return freesize;
    }

    public static void giveItemStack(Player player, ItemStack itemStack) {
        if (PlayerInventoryUtil.hasFreeSlot(player)) {
            player.getInventory().addItem(itemStack);
        } else {
            Item item = player.getLocation().getWorld().dropItem(player.getLocation(), itemStack);
            item.setCanMobPickup(false);
            item.setPickupDelay(20);
        }
    }

}
